InitClock(clock, time)
{
	clock.x = 590; // 320;
	clock.y = 380; // 380;
	clock.alignX = "center";
	clock.alignY = "middle";
	clock.sort = 1;
	clock setClock(time, 60, "hudStopwatch", 64, 64); // count down for 5 of 60 seconds, size is 64x64
}

vectorMultiply (vec, dif)
{
	vec = (vec[0] * dif, vec[1] * dif, vec[2] * dif);
	return vec;
}

// ----------------------------------------------------------------------------------
//	adds a ent to the array
// ----------------------------------------------------------------------------------
add_to_array(array, ent)
{
	if(!isdefined(ent))
		return array;
		
	if(!isdefined(array))
		array[0] = ent;
	else
		array[array.size] = ent;
	
	return array;	
}

// ----------------------------------------------------------------------------------
//	make_permanent_announcement
// ----------------------------------------------------------------------------------
make_permanent_announcement(message, cleanup_notify, y_position, color)
{
	if ( !isdefined(y_position) )
	{
		y_position = 130;
	}
	
	text = newHudElem();
	text setText(message);
	text.alignX = "center";
	text.alignY = "middle";
	text.x = 320;
	text.y = y_position;
	text.sort = 0.0;
//	text.font = "bigfixed";
	text.fontscale = 2.0;
			
	if ( isdefined(color) )
	{
		text.color = color;
	}
	
	level waittill(cleanup_notify);
	
	text destroy();
}

// ----------------------------------------------------------------------------------
//	get_progressbar()
//
//	Returns a hud elem for a progress bar
// ----------------------------------------------------------------------------------
get_progressbar(entity)
{
	foreground= newClientHudElem( entity );
	foreground setShader("white", get_progressbar_maxwidth(), get_progressbar_height());
	foreground.alignX = "left";
	foreground.alignY = "top";
	foreground.x = get_progressbar_x() - get_progressbar_maxwidth()/2;
	foreground.y = get_progressbar_y() + 20;
	foreground.color = (1, 1, 1);
	foreground.sort = 0.1;
	
	return foreground;
}

// ----------------------------------------------------------------------------------
//	get_progressbar_background()
//
//	Returns a hud elem for a progress bar
// ----------------------------------------------------------------------------------
get_progressbar_background(entity)
{
	background = newClientHudElem( entity );
	background setShader("black", get_progressbar_maxwidth() + 2, get_progressbar_height() + 2);
	background.alignX = "left";
	background.alignY = "top";
	background.x = get_progressbar_x()- get_progressbar_maxwidth()/2 - 1;
	background.y = get_progressbar_y() + 19;
	background.alpha = 0.5;
	background.color = (1, 1, 1);
	background.sort = 0.0;
	return background;
}

// ----------------------------------------------------------------------------------
//	get_progressbar_text()
//
//	Returns a hud elem for a progress bar
// ----------------------------------------------------------------------------------
get_progressbar_text(entity, message)
{
	text = newClientHudElem( entity );
	text setText(message);
	text.alignX = "center";
	text.alignY = "top";
	text.x = get_progressbar_x();
	text.y = get_progressbar_y();
	
	return text;
}

// ----------------------------------------------------------------------------------
//	set_progressbar_width
//
//	sets the shader to the correct width
// ----------------------------------------------------------------------------------
set_progressbar_width(bar, width)
{
	bar setShader("white", width, get_progressbar_height());	
}

// ----------------------------------------------------------------------------------
//	get_progressbar_maxwidth
// ----------------------------------------------------------------------------------
get_progressbar_maxwidth()
{
	return 140;	
}

// ----------------------------------------------------------------------------------
//	get_progressbar_height
// ----------------------------------------------------------------------------------
get_progressbar_height()
{
	return 12;	
}

// ----------------------------------------------------------------------------------
//	get_progressbar_x
// ----------------------------------------------------------------------------------
get_progressbar_x()
{
	return 320;	
}

// ----------------------------------------------------------------------------------
//	get_progressbar_y
// ----------------------------------------------------------------------------------
get_progressbar_y()
{
	return 370;	
}

base_swapper()
{
        gametype = getcvar("g_gametype");
        if(gametype != "bas")
        {
		if (!isdefined(game["bas_axis_destroyed"]))
			game["bas_axis_destroyed"] 	= "xmodel/mp_bunker_foy_dmg";
		if (!isdefined(game["bas_allies_destroyed"]))
			game["bas_allies_destroyed"] 	= "xmodel/mp_bunker_foy_dmg";


		precacheModel(game["bas_axis_destroyed"]);
		precacheModel(game["bas_allies_destroyed"]);

                level.base = getentarray("gmi_base","targetname");
                if (isdefined(level.base))
                {
                        for (b=0;b<level.base.size;b++)
                        {       
                                level.base[b] thread swap_in_base_dmg();
                        }       
                }
        }
}

swap_in_base_dmg()
{
	self.destroyedmodel = spawn("script_model", self.origin);
	self.destroyedmodel.angles = self.angles;
	if (isdefined(self.script_team))
	{
		println(self.script_team);
		if (self.script_team == "axis")
			self.destroyedmodel setmodel(game["bas_axis_destroyed"]);
		else
			self.destroyedmodel setmodel(game["bas_allies_destroyed"]);
	}
}

